This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301827 - (CVE-2016-1943) CVE-2016-1943 Mozilla: Addressbar spoofing attacks (MFSA 2016-09)
CVE-2016-1943 Mozilla: Addressbar spoofing attacks (MFSA 2016-09)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160126,repor...
: Security
Depends On:
Blocks: 1300522
  Show dependency treegraph
 
Reported: 2016-01-25 23:29 EST by Huzaifa S. Sidhpurwala
Modified: 2016-01-26 23:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 23:51:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-01-25 23:29:21 EST
Security researcher Jordi Chancel reported two issues involving addressbar spoofing.

The first of these is a "high" rated security issue on on Firefox for Android involving the scrollTo() method to scroll a page. In this attack, scrollTo() is used to scroll the addressbar out of view while replacing it with a fake addressbar created by the attacker when a new tab is opened.

The second flaw is a "low" rated security issue affecting Desktop Firefox. In this attack, when a URL which is invalid for an internal protocol is pasted into the addressbar, the addressbar contents may be manipulated to show the location of an arbitrary website instead of the one currently loaded. This issue is mitigated by the protocol being prepended to the displayed URL, making the address less likely to be confused with the appended URL.

Both of these attacks can lead to potential spoofing by a malicious site.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-09.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Jordi Chancel  as the original reporter.

Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Note You need to log in before you can comment on or make changes to this bug.